> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Label Request

> Get details about a single label request.

#### Required API key scope
- Label Requests (Read)




## OpenAPI

````yaml get /label-requests/{id}
openapi: 3.1.0
info:
  title: Labels API
  description: API for managing label requests
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Label Requests
paths:
  /label-requests/{id}:
    get:
      tags:
        - Label Requests
      summary: Get Label Request
      description: |
        Get details about a single label request.

        #### Required API key scope
        - Label Requests (Read)
      operationId: get-label-request
      parameters:
        - in: path
          name: id
          schema:
            type: integer
            example: 67329889100573
          required: true
          description: The unique identifier for the label request, created by Loop.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LabelRequestResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - oauth2:
            - label_requests:read
        - label-requests-read: []
components:
  schemas:
    LabelRequestResponse:
      type: object
      required:
        - id
        - addresses
        - parcel
        - products
        - errors
        - return_id
        - shop_id
        - status
        - created_at
      properties:
        id:
          type: string
          description: The unique identifier for the label request, created by Loop.
          example: '67329889100573'
        addresses:
          type: object
          required:
            - origin
            - destination
          properties:
            origin:
              $ref: '#/components/schemas/Address'
            destination:
              $ref: '#/components/schemas/Address'
        parcel:
          type: object
          required:
            - height
            - length
            - width
            - weight
          properties:
            height:
              type: number
              format: double
              description: The height of the parcel in inches.
              example: 5
            length:
              type: number
              format: double
              description: The length of the parcel in inches.
              example: 20.2
            width:
              type: number
              format: double
              description: The width of the parcel in inches.
              example: 10.9
            weight:
              type: number
              format: double
              description: The weight of the parcel in grams.
              example: 65.9
        products:
          type: array
          items:
            $ref: '#/components/schemas/Product'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/LabelRequestErrorResponse'
        return_id:
          type: integer
          format: int64
          description: The return id of the return.
          example: 1001
        shop_id:
          type: integer
          format: int64
          description: The id of the shop belonging to the merchant.
          example: 50
        status:
          $ref: '#/components/schemas/LabelRequestStatusEnum'
        created_at:
          $ref: '#/components/schemas/Date'
    Address:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
          maxLength: 100
          description: The recipient's name.
        company:
          type:
            - string
            - 'null'
          maxLength: 100
          description: The recipient's company.
        address1:
          type: string
          maxLength: 125
          description: The recipient's street address.
        address2:
          type:
            - string
            - 'null'
          maxLength: 125
          description: >-
            The recipient's secondary address details (such as unit number or PO
            box information).
        city:
          type: string
          maxLength: 100
          description: The city in which the address is located.
        state:
          type:
            - string
            - 'null'
          maxLength: 100
          description: The state or region in which the address is located.
        zip:
          type: string
          maxLength: 16
          description: The postal code associated with the address.
        country:
          type: string
          maxLength: 100
          description: The country in which the address is located.
        country_code:
          type: string
          maxLength: 2
          description: The two-letter country code associated with the address.
        phone:
          type:
            - string
            - 'null'
          description: The phone number associated with the address.
      required:
        - address1
        - city
        - zip
        - country
        - country_code
      example:
        name: John Smith
        company: Acme, Co
        address1: 123 Example St
        address2: Box 123
        city: Columbus
        state: OH
        zip: '12345'
        country: United States of America
        country_code: US
        phone: +1 555-555-5555
    Product:
      type: object
      required:
        - name
        - sku
        - price
      properties:
        name:
          type: string
          description: The name of the product.
          example: Product Name
        price:
          $ref: '#/components/schemas/MoneySet'
        country_of_origin:
          type:
            - string
            - 'null'
          description: The country of origin of the product.
          example: USA
        hs_code:
          type:
            - string
            - 'null'
          description: The HS (Harmonized System) code of the product.
          example: '61051000'
        sku:
          type: string
          description: The SKU of the product.
          example: '99999999'
    LabelRequestErrorResponse:
      type: object
      required:
        - reason
      properties:
        reason:
          $ref: '#/components/schemas/ErrorReasonEnum'
          description: The reason code associated with the label request error.
        message:
          type:
            - string
            - 'null'
          description: The message associated with the label request error.
          example: Failed to generate a label, the origin address is invalid
        created_at:
          $ref: '#/components/schemas/Date'
    LabelRequestStatusEnum:
      type: string
      description: The status of the label request.
      enum:
        - issued
        - cancelled
        - fulfilled
      example: issued
    Date:
      type: string
      description: The date the label was created.
      format: date-time
      example: '2023-04-25T13:25:00-05:00'
    MoneySet:
      type: object
      example:
        - amount: 50000
          currency: USD
        - amount: 25000
          currency: CAD
        - amount: 1500
          currency: EUR
      properties:
        amount:
          type: integer
          format: int32
          description: The amount represented in cents.
          example: 25000
        currency:
          type:
            - string
          default: USD
          example: EUR
          description: The 3 character (ISO 4217) currency code.
      required:
        - amount
        - currency
    ErrorReasonEnum:
      type: string
      description: The error reason.
      enum:
        - INSUFFICIENT_FUNDS
        - INVALID_ADDRESS
        - Other
      example: INVALID_ADDRESS
  responses:
    Unauthorized:
      description: The request could not be authorized.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    example: '401'
                  http_code:
                    type: string
                    example: GEN-UNAUTHORIZED
                  message:
                    type: string
                    example: Unauthorized.
    NotFound:
      description: The requested entity could not be found.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                example: '404'
              http_code:
                type: string
                example: GEN-NOT-FOUND
              message:
                type: string
                example: >-
                  The label request could not be found. Please verify that the
                  provided id is correct.
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://oauth.loopreturns.com/authorize
          tokenUrl: https://oauth.loopreturns.com/oauth/token
          scopes:
            labels:read: Read access to labels
            labels:write: Create and modify labels
            label_requests:read: Read access to label requests
            label_requests:write: Create and modify label requests
            returns: Access to returns operations
    label-requests-read:
      type: apiKey
      in: header
      name: X-Authorization
      description: 'API Scope: "Label Requests (read)"'
      x-scope: Label Requests (Read)

````